### Method

# Cogl Pipeline get_user_program

#### Declaration [src]

    CoglProgram*
    cogl_pipeline_get_user_program (
      CoglPipeline* pipeline
    )

#### Description [src]

Queries what user program has been associated with the given `pipeline` using cogl_pipeline_set_user_program().

#### Return value

Type: `CoglProgram`

The current user program or `NULL`.

The returned data is owned by the instance.